Bug 49049

Summary: Could review tool include style failure info?
Product: WebKit Reporter: Oliver Hunt <oliver>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, eric, ojan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Attachments:
Description Flags
Patch oliver: review+

Description Oliver Hunt 2010-11-04 20:38:49 PDT
I was just reviewing a patch that made the style bot go red for bogus reasons, it was annoying to have to go away and look at a separate page to identify whether the errors were indeed correct.  It would be awesome if the style failures could be displayed inline in the review tool
Comment 1 Eric Seidel (no email) 2010-11-04 20:40:12 PDT
Woh, crazy talk.  Should be quite easy to do, I think.
Comment 2 Adam Barth 2010-11-05 10:20:28 PDT
Yeah, I was planning to do this originally, but never got around to it.  We just need to write a parser for the style queue output, which shouldn't be that hard.
Comment 3 Ojan Vafai 2011-01-20 16:48:41 PST
Created attachment 79666 [details]
Patch
Comment 4 Ojan Vafai 2011-01-20 16:59:04 PST
Committed r76310: <http://trac.webkit.org/changeset/76310>